C**********************************************************************
C
	SUBROUTINE RDCONC(WTFR)
C
C	READ A WEIGHT FRACTION AND MAKE SURE IT'S REASONABLE
C
      INCLUDE 'COMMON.FTN'
C Uses IRD, ITYP of /IO/
C
 1	WRITE(ITYP,4)
 4	FORMAT(' Enter weight fraction (F8.4) ? ',$)
	READ(ITYP,14,END=9000) WTFR
14	FORMAT(F8.4)
	IF(WTFR.GE.0.0 .AND. WTFR.LE.1.0) GOTO 9999
	WRITE(ITYP,24)
24	FORMAT(' Weight fraction must be between 0.0 & 1.0',
     &   ' with decimal point.')
	GOTO 1
C ^Z means quit.  Assign a silly value that main can test for.
9000	WTFR = -1.0
9999	RETURN
	END
